Subject: Re: rfc - Changing the way gitk and git-gui are managed

From: Jonathan Nieder <[email-masked]>
Date: Sat, 24 Jul 2010 07:54:08 -0500

Nicolas Sebrecht wrote:

> What is the issue with the current status?

Here is one:

 $ git log --oneline -SListbox.font -- gitk-git/gitk
 $ git log --oneline --follow -SListbox.font -- gitk-git/gitk
 62ba514 Move gitk to its own subdirectory
 $ git log --oneline -SListbox.font -- gitk-git/gitk gitk
 207ad7b gitk: Set the font for all listbox widgets
 $

> Going this way, why would we want gitk and git-gui as submodules at all?

If we want to stop distributing them completely (though I am not
convinced that would be a good idea), then submodules would be a
good stopping point along the way to avoid changing the world too
much at a time.

git archive hasn’t learned to do recursive archive yet; I think
the last murmurs of that topic were [1] and [2], though it would
be simple enough to use "git archive" more than once together
with "tar rf" to take care of it by hand in this case.

[1] http://thread.gmane.org/gmane.comp.version-control.git/107030
which is a reroll of
http://thread.gmane.org/gmane.comp.version-control.git/106788/focus=106787

[2] http://thread.gmane.org/gmane.comp.version-control.git/106788/focus=106787